GNU bug report logs - #54400
Emacs error in Ubuntu

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>; Keywords: moreinfo; dated Tue, 15 Mar 2022 16:16:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) moreinfo. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 10:52:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 06:52:36 2022
Received: from localhost ([127.0.0.1]:50324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nURGX-000569-6L
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:52:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nURGV-00055x-JH
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:52:28 -0400
Received: from [2001:470:142:3::e] (port=57266 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nURGP-0008RI-RL; Wed, 16 Mar 2022 06:52:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DDTrH4i6T4p8G/gzfPXl3EuP61HQkfMK3GYq2WkQRIo=; b=SCtzl+yJbkVvNoBtLQ6/
 AVqtx1/ga6WPSm1ctXvqli0FsGHLRCKTc67R+07PVFI5vjjBA3qiwLwu9K1EG4lSgweaZkdb1re7A
 3g2DpYSj4yEd8mPxVqw8aagK4DMG0gJv6jBWIQ/ynTixu31T5cpQaR/oQhJT+wuc5SN5nsriTleIR
 ySf5RLUB2uxthCuUAlTmWuo30r5gNYfthk9ct8LhEUlx9bsosRRfSZIA+xAnj9yupLY5o2NyAa+Ob
 Q6P/d7mAap6wNRi05p1EolODJipjzY6Vvkwd6J3Oc72rsFvROCtUUqsbIFSMajHjT6UiP7QOU+wxv
 SYpR7yYBTZ0qgQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:52948
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nURGO-0007pg-Sw; Wed, 16 Mar 2022 06:52:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 =?utf-8?Q?Vent=C3=B4se?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 16 Mar 2022 11:52:18 +0100
In-Reply-To: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 (Vicente Mataix's message of "Tue, 15 Mar 2022 17:09:23 +0100 (CET)")
Message-ID: <878rtaf9ul.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54400
Cc: 54400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN> skribis:

> Run emacs:=20
>
> emacs=20
>
> /home/vmataixf/.guix-profile/bin/emacs: error while loading shared librar=
ies: liblzma.so.5: cannot open shared object file: No such file or director=
=20

Could you check whether the =E2=80=98LD_LIBRARY_PATH=E2=80=99 environment v=
ariable is
defined, for instance by running:

  env | grep LD_LIBRARY_PATH

If it is, please unset it:

  unset LD_LIBRARY_PATH

Does it help?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 10:30:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 06:30:42 2022
Received: from localhost ([127.0.0.1]:50299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQvS-0002Je-LS
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:30:42 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:62831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nUQvP-0002JT-QQ
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:30:40 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KJRPS63CXz1LZWS;
 Wed, 16 Mar 2022 11:30:36 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4KJRPS63CXz1LZWS
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1647426637;
 bh=LyTlz2XRIwa4RcuRD7VIcyfto98tGqMRlymcbWLiZXs=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=jNs3zQIpmLz4vRDhuv0ZMpA96+sDTrODneMtplOWcBaRXj1dfO+SPj5fd94nKCLxg
 XVKDTIyP19cEATDgnZKTUVl02IDj4WJil6eB8Z22c0E1LGlinQZLxVAXJtIK55ia4C
 jpMIreMGObtY8VjgBTNJL2yiOxXhKltSkDU0gQ+Q=
Message-ID: <06a32468ccc8f7959ee51136b30767df12b7f5f3.camel@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Vicente Mataix ferrandiz
 <vicente.mataix-ferrandiz@HIDDEN>, 54400 <at> debbugs.gnu.org
Date: Wed, 16 Mar 2022 11:30:35 +0100
In-Reply-To: <86pmmm436w.fsf@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
 <86tuby44u3.fsf@HIDDEN>
 <06777b60013c79b14b29820bfd14b0f947f94353.camel@HIDDEN>
 <86pmmm436w.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi zimoun,

Am Mittwoch, dem 16.03.2022 um 11:11 +0100 schrieb zimoun:
> I am not Vicente but mine looks like with Guix ff093f5 on Debian.
> 
> --8<---------------cut here---------------start------------->8---
> $ guix shell libxml2
> [env]$ ldd $GUIX_ENVIRONMENT/lib/libxml2.so | grep lzma
>         liblzma.so.5 => /gnu/store/aggsb6j1svxp70xlll4rqnx5f2pzz794-
> xz-5.2.5/lib/liblzma.so.5 (0x00007fee6026e000)
> --8<---------------cut here---------------end--------------->8---
> 
> and
> 
> --8<---------------cut here---------------start------------->8---
> $ guix shell emacs
> [env]$ ldd $GUIX_ENVIRONMENT/bin/.emacs-27.2-real | grep lzma
>         liblzma.so.5 => /gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-
> xz-5.2.5/lib/liblzma.so.5 (0x00007f134d7e3000)
> --8<---------------cut here---------------end--------------->8---
Looking at the derivations,
/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/ is built with all
our mesboot stuff, whereas /gnu/store/aggsb6j1svxp70xlll4rqnx5f2pzz794-
xz-5.2.5 is not.  In other words, I suspect that it is indeed
Schrödinger's missing dependency :P


Cheers




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 10:22:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 06:22:11 2022
Received: from localhost ([127.0.0.1]:50286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQnD-0001uQ-Ew
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:22:11 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:42955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nUQnB-0001uB-E2
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 06:22:10 -0400
Received: by mail-wm1-f46.google.com with SMTP id
 r190-20020a1c2bc7000000b0038a1013241dso1127710wmr.1
 for <54400 <at> debbugs.gnu.org>; Wed, 16 Mar 2022 03:22:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:in-reply-to:references:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+Cu+ca4LVAaYGHPsrjUFvQK0cMdbujmm5UjpGd6wWUc=;
 b=ivzeD+bh42PHOD0BmVxCxJqbDRVOnF62xMIJy2C6IdZIx4gLZv/rOLKS6nivC9vna3
 6P55ypl542kFO8AjuwZW/nwHSql0No4yZtCAKb07g9sjYSX72qiDmKh1pdYWLvUev/iT
 2SN/YpOxlLEm0Kd5Gu/sDV/FDKzFIfHCVqPrR/vlWefjbDNcp47nNUkYqN/9Dxl7pCkr
 Qz96VtOWEuanLdmnyy0rBJyVswWsqsNfRfJB7TGqIejpyeCPo74mcY+43NeDTCFMgib8
 fnlOzI48gmA3TQyUgsTMBdcL1B4c0FDMV925zgCjYrmtvwaosxCyb8dgbMsRlwXcea4a
 IYOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+Cu+ca4LVAaYGHPsrjUFvQK0cMdbujmm5UjpGd6wWUc=;
 b=urqCS/HMU52DtUhS4eDyWCNdFdn06tKvpK2Vdkg/mKRy1tHdAYDbo5MvkD5k9jGJ8l
 z3rBBALozV8Vo5mtUcu/lJxjeXRW2vKN50W07E7l1kX/hnjqjjBzxb13A3a1nMtJRYnU
 0AEc/dGFVudDOlwXrORSDs93t7KIyi4ovqNClx+R3jdG/WgmZPZ9IAAO7qKmam4fYpNs
 JL5Bss62kvba+B6C04LbylgzkCUs+y4/gUMcPYtqvUqlWs/ElixJ5pqqWka03+hqLwp6
 +gBCTfCiKt1zkEWkVBeat52HIGX/UafyKIjOG+Fgn3puvXPS+OUShvFfYtRCGqM5TyJE
 Wxng==
X-Gm-Message-State: AOAM532ObSAIjISAyHBCFoo6XmJpsitTNclHTai6RcVjI6cJnZDuPWBg
 MoxkC++WHw6cWWbqlI7LxfpZejyv3xA=
X-Google-Smtp-Source: ABdhPJzh4XBISY8kazbd7fmPjIyeAXzRPOwziZnO+/diPcEjuqBJpQdLIJBWoXCioga8Jx2x9UtjWg==
X-Received: by 2002:a05:600c:1c09:b0:389:d0a8:d3b7 with SMTP id
 j9-20020a05600c1c0900b00389d0a8d3b7mr6688563wms.92.1647426123515; 
 Wed, 16 Mar 2022 03:22:03 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 i22-20020a1c5416000000b0038c7062ea57sm954181wmb.47.2022.03.16.03.22.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 16 Mar 2022 03:22:03 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, Vicente Mataix
 ferrandiz <vicente.mataix-ferrandiz@HIDDEN>, 54400 <at> debbugs.gnu.org
Subject: Re: bug#54400: Emacs error in Ubuntu
In-Reply-To: <06777b60013c79b14b29820bfd14b0f947f94353.camel@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
 <86tuby44u3.fsf@HIDDEN>
 <06777b60013c79b14b29820bfd14b0f947f94353.camel@HIDDEN>
Date: Wed, 16 Mar 2022 11:11:35 +0100
Message-ID: <86pmmm436w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

On Wed, 16 Mar 2022 at 10:48, Liliana Marie Prikler <liliana.prikler@HIDDEN=
graz.at> wrote:

> Vicente, could you check the output of ldd for your Emacs, as well as
> libxml2 and also check whether your xz package is perhaps broken and
> ought to be repaired?

I am not Vicente but mine looks like with Guix ff093f5 on Debian.

--8<---------------cut here---------------start------------->8---
$ guix shell libxml2
[env]$ ldd $GUIX_ENVIRONMENT/lib/libxml2.so | grep lzma
	liblzma.so.5 =3D> /gnu/store/aggsb6j1svxp70xlll4rqnx5f2pzz794-xz-5.2.5/lib=
/liblzma.so.5 (0x00007fee6026e000)
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
$ guix shell emacs
[env]$ ldd $GUIX_ENVIRONMENT/bin/.emacs-27.2-real | grep lzma
	liblzma.so.5 =3D> /gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/lib=
/liblzma.so.5 (0x00007f134d7e3000)
--8<---------------cut here---------------end--------------->8---

Ah!  It is not the =E2=80=9Csame=E2=80=9C xz. :-) Well, it probably does no=
t come from
libxml2 (except if there is a graft).

Anyway, I suspect something wrong with Vicente=E2=80=99s =E2=80=99env=E2=80=
=99.


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 09:53:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 05:53:09 2022
Received: from localhost ([127.0.0.1]:50261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQL6-00016y-Mk
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:53:09 -0400
Received: from mail2-relais-roc.national.inria.fr ([192.134.164.83]:31395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vicente.mataix-ferrandiz@HIDDEN>)
 id 1nUQ1d-0000Ve-V7
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:33:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inria.fr; s=dc;
 h=date:from:to:cc:message-id:in-reply-to:references:
 subject:mime-version:content-transfer-encoding;
 bh=AdkIBfp3Q2nmfAZhGq5K4Z8kKvCdvH1ZwKyYKu1UdSg=;
 b=S5eMk4R0ONABPw4b2kUcsm9A6DkSykiKYFJaIUifcPhhLfrVYlX1zgFf
 4JIvangNJpMFmSbjb8uyc+lEdTSkstkVHqTI3+6OS6Ox3cZHzIAP6BUip
 R0ky+4G/8a8onGSERpcxQ5kwArOzlTCiBLFZkPq0skO2EcVJxaj2STSz3 M=;
Authentication-Results: mail2-relais-roc.national.inria.fr;
 dkim=none (message not signed) header.i=none;
 spf=SoftFail smtp.mailfrom=vicente.mataix-ferrandiz@HIDDEN;
 spf=None smtp.helo=postmaster@HIDDEN
Received-SPF: SoftFail (mail2-relais-roc.national.inria.fr:
 domain of vicente.mataix-ferrandiz@HIDDEN is inclined to
 not designate 128.93.142.30 as permitted sender)
 identity=mailfrom; client-ip=128.93.142.30;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="vicente.mataix-ferrandiz@HIDDEN";
 x-sender="vicente.mataix-ferrandiz@HIDDEN";
 x-conformance=spf_only; x-record-type="v=spf1";
 x-record-text="v=spf1 ip4:192.134.164.0/24 mx ~all"
Received-SPF: None (mail2-relais-roc.national.inria.fr: no sender
 authenticity information available from domain of
 postmaster@HIDDEN) identity=helo;
 client-ip=128.93.142.30;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="vicente.mataix-ferrandiz@HIDDEN";
 x-sender="postmaster@HIDDEN"; x-conformance=spf_only
X-IronPort-AV: E=Sophos;i="5.90,186,1643670000"; d="scan'208";a="26414461"
X-MGA-submission: =?us-ascii?q?MDESDe26uk0MJtvMNrXxPap4y0xnIVRMs5Qmyd?=
 =?us-ascii?q?RHq0O7COQ2PhAKcJf6pxkfiDrC3+FxKr+7Y+oCEA7OWKjROqTme0ndeT?=
 =?us-ascii?q?P+VsJzEAcGPJ1123NZmWzgf0bPSKtVY+VSdtWiZBduDyd8fgctufBlXE?=
 =?us-ascii?q?9yAhbmmn/UilDNK8Gvv/6u9Q=3D=3D?=
Received: from zcs-store3.inria.fr ([128.93.142.30])
 by mail2-relais-roc.national.inria.fr with ESMTP; 16 Mar 2022 10:32:56 +0100
Date: Wed, 16 Mar 2022 10:32:55 +0100 (CET)
From: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Message-ID: <910431912.11768214.1647423175720.JavaMail.zimbra@HIDDEN>
In-Reply-To: <CAJ3okZ1TW_0ZsGFSYwza67iu3C-UxMs-BmfAP7Xp1UZ3cQEaOg@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <CAJ3okZ1TW_0ZsGFSYwza67iu3C-UxMs-BmfAP7Xp1UZ3cQEaOg@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [128.93.180.232]
X-Mailer: Zimbra 8.8.15_GA_4203 (ZimbraWebClient - FF98 (Linux)/8.8.15_GA_4232)
Thread-Topic: bug#54400: Emacs error in Ubuntu
Thread-Index: 5kSKHf14uDsSi02tBJA0XnMh+OF+Vg==
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54400
X-Mailman-Approved-At: Wed, 16 Mar 2022 05:53:07 -0400
Cc: 54400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I did it just after guix pull. I cannot check the revision as I did it in m=
y work computer, I will check it tomorrow.

----- Mail original -----
> De: "zimoun" <zimon.toutoune@HIDDEN>
> =C0: "Vicente Mataix ferrandiz" <vicente.mataix-ferrandiz@HIDDEN>
> Cc: 54400 <at> debbugs.gnu.org
> Envoy=E9: Mercredi 16 Mars 2022 10:23:15
> Objet: Re: bug#54400: Emacs error in Ubuntu

> Hi Vicente,
>=20
> On Tue, 15 Mar 2022 at 22:18, Vicente Mataix ferrandiz
> <vicente.mataix-ferrandiz@HIDDEN> wrote:
>=20
>> Update:
>>
>> guix pull
>=20
> What is your revision?  Other said which "guix describe"?
>=20
>=20
> Cheers,
> simon




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 09:48:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 05:48:32 2022
Received: from localhost ([127.0.0.1]:50243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQGe-0000xm-2E
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:48:32 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:4669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nUQGb-0000xc-TQ
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:48:30 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KJQSp2RH4z3xbF;
 Wed, 16 Mar 2022 10:48:26 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1647424106;
 bh=pghJruPJZI/5WeYnrOVJrGAnqzXyyH4dzj5PtJO9HoI=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=SugXLxLvpUud6oTVyh3o5u1UYYNw2HXA2veVMjEyqGJN1muNiyokgKtdjSPFZrSRV
 nx+YbZE3vXtNjO6tyV7zyi0aEDTAm1Esl0/o8GJ1Fvtn4todl/bSwFe0352Qa2UHj8
 ogmwlhaRnB0lG9WsICHH4n/Bpou43KpWy9GmDRRQ=
Message-ID: <06777b60013c79b14b29820bfd14b0f947f94353.camel@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Vicente Mataix ferrandiz
 <vicente.mataix-ferrandiz@HIDDEN>, 54400 <at> debbugs.gnu.org
Date: Wed, 16 Mar 2022 10:48:25 +0100
In-Reply-To: <86tuby44u3.fsf@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
 <86tuby44u3.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi simon

Am Mittwoch, dem 16.03.2022 um 10:36 +0100 schrieb zimoun:
> --8<---------------cut here---------------start------------->8---
> $ guix graph --path emacs xz
> emacs@HIDDEN
> libxml2@HIDDEN
> xz@HIDDEN
> --8<---------------cut here---------------end--------------->8---
Thanks for investigating, I did not consider ‘guix graph’.

> Note that
> 
> --8<---------------cut here---------------start------------->8---
>     (source (origin
>               (method url-fetch)
>               (uri (string-append "mirror://gnu/emacs/emacs-"
>                                   version ".tar.xz"))
> --8<---------------cut here---------------end--------------->8---
> 
> but I do not see ’xz’ in the implicit inputs; only emacs-minimal. 
> Quick look, maybe I miss it.
IIRC, it'd be quite deep in the unpack chain, but maybe I'm mixing
things up as well.

> Well, indeed, something seems unexpected if the Emacs binary is
> linked to liblzma and this liblzma is not an explicit inputs but
> instead comes from a reference to another inputs.
I think that's what you'd observe on other distros as well.  IIRC the
linker ought to correctly resolve/"propagate" such dependencies, so it
shouldn't be a problem.

Vicente, could you check the output of ldd for your Emacs, as well as
libxml2 and also check whether your xz package is perhaps broken and
ought to be repaired?

Cheers




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 09:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 05:43:11 2022
Received: from localhost ([127.0.0.1]:50233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQBT-0000mb-Ew
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:43:11 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:35563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nUQBR-0000mN-9A
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:43:09 -0400
Received: by mail-io1-f50.google.com with SMTP id l18so1687311ioj.2
 for <54400 <at> debbugs.gnu.org>; Wed, 16 Mar 2022 02:43:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=taTAtV+YZzenfqOqt2WKWhPAOi/tXgQMhG/VD5ILeTc=;
 b=CoSySfk63IBD/Jl0ZvcLwnguvEYGntK4Nft7hsrDTvtWe47pndGBl3tmaj3K/BmHhP
 chXFUjuqifcqJe5sqpqlgIy1WG2qAA+/VSkK6uzfaxXGsd9dIdt5wEHjKNhhCz01I9n7
 Q+03kkFmzCAurdwO6wXOcJmcxXTfVjgvnvvHUA6LTExDD/sNTULuI+/zCujBHHBUjpp1
 ve2xHhu/DEk3M9H+9wACLR0MYH9wfBcxVq9KYN0ckd6+8L+gztPpzl+c7N4xaXzdqedh
 JlVc6uAxitGdx9gsFNQUR1oPNHX8GRHEj65ri7nwrvwL0BBWOr3+B9z18ehiKXsObU8Z
 I4fQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=taTAtV+YZzenfqOqt2WKWhPAOi/tXgQMhG/VD5ILeTc=;
 b=D40kv+yfAi4jgceotJ3tj2NRanyyHE42KYsY4PYBLofZligqxjnuFT6fuxRF+t89Cl
 jUp5HKHwSOaHIoVBqmnAvtI7sfxXaYpelOdiypImR+3qbyTfbMsgAA1Fflc35V5LlA2S
 DXk/Ai0SQbMrRaZPuxQCVHZtrDfwKKyxfniVifgNjqEvybJE62HrzJAFcRXAyS55ELxi
 Mh9wimnmzhw0h7ItJLm3PC39KCAZX1rQywa/C7kf214de9r/wFWBXoBMeJaTcu/1peri
 9CieV8EpZdGnFjQ8LDj+enZJ8klthmzjUAKjlpDwAiZX6MVXGcuYKrX2o4EBUfNbXwua
 KYZA==
X-Gm-Message-State: AOAM532OcrylwI0TKD/J39h0J3tNEhwJjdXz7RlGY2+PIVR9lxhnh3En
 3Q9a7GVIjUlzho8J6g/Lc3kGDqlv7+2wNATUOM8=
X-Google-Smtp-Source: ABdhPJyGyC+tkPJG/nXK1kIn9yWkIfEEJLH6JJkeHKeB8imSmYxjuT2sBVzND6P1OWqHRpTcE8nPIm2nBA6iGgCmlK4=
X-Received: by 2002:a5d:8b94:0:b0:646:25a8:6fb2 with SMTP id
 p20-20020a5d8b94000000b0064625a86fb2mr24664482iol.171.1647423783758; Wed, 16
 Mar 2022 02:43:03 -0700 (PDT)
MIME-Version: 1.0
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <CAJ3okZ1TW_0ZsGFSYwza67iu3C-UxMs-BmfAP7Xp1UZ3cQEaOg@HIDDEN>
 <910431912.11768214.1647423175720.JavaMail.zimbra@HIDDEN>
In-Reply-To: <910431912.11768214.1647423175720.JavaMail.zimbra@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 16 Mar 2022 10:42:52 +0100
Message-ID: <CAJ3okZ2fbZS-TdcAG8wkenio3976LsSy1z0CLXBx5T7-o1bM+g@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
To: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54400
Cc: 54400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Wed, 16 Mar 2022 at 10:32, Vicente Mataix ferrandiz
<vicente.mataix-ferrandiz@HIDDEN> wrote:

> I did it just after guix pull.

Using bec806e from yesterday, I cannot reproduce on Ubuntu.  The invokation

    guix shell -C -E DSISPLAy -E TERM emacs --  emacs -nw

works for me.  I suspect something wrong with your environment
variables.  Maybe you could run "guix shell --check".

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 09:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 05:38:11 2022
Received: from localhost ([127.0.0.1]:50215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUQ6d-0000e6-9N
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:38:11 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:33868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nUQ6b-0000dr-Jo
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:38:10 -0400
Received: by mail-wm1-f44.google.com with SMTP id
 k8-20020a05600c1c8800b003899c7ac55dso2027010wms.1
 for <54400 <at> debbugs.gnu.org>; Wed, 16 Mar 2022 02:38:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:in-reply-to:references:date:message-id:mime-version
 :content-transfer-encoding;
 bh=k3Okj52hY5B0B2qCfNRvVzm1sGomPX9PzSJzfrgzOrM=;
 b=HGF8SxI7S7Z2Z2OZ22CxC/fGDBl2nAIIYycpiNylA/VlP4uMksdXjqcAUrfctH/S4j
 srBacaAKLRxYzOVEScyxKy9BOfiKuj1m9VqZG6Q1xxnWSZsmlrCXWYtoHYWenOeayC7M
 EclFfCdBev/hsN1NBtkmsQZI8m9xP9eFV3bDhYB9ZmG0tnnxzqnGZ3BFe9GcpscdaLWs
 daKGB2Dhor3eafafRP0AXGA2rKPQaDGHvLLWXPaAlqX1oqmfJ44Z57KMYwBCbox3vDBD
 jItk8uhJc2LFQoNBYT8Q9WOuq6YxrZRRxGPqd+/Ck9Uv/XNMTpQsp6fDhmHLn3t3U90Q
 7jJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=k3Okj52hY5B0B2qCfNRvVzm1sGomPX9PzSJzfrgzOrM=;
 b=PgGP7w0xJzB6Ah1aM4dsKNCacqJ42X2me+LqqWrbTtQpna1rXVGu2e6qv7zg29z7hq
 S7c+ynoU132A19XgxTACsShbHoI/zVQ5mDVb1d3+2NKHfYP6iazSwc7HkOQccDmPWcv6
 np4dpGA/RaP6GDKIYBjW/fufsb4NBiMRqaE6ApAqhftI7nWiChDhl4GtF96CrG7jOuQP
 VPmxRQUeiphW1ICuHPdvWS3GvjQd6ppE3arhFdCHkCsHo//saD6fL9+Ve3PEBaGMJVJ8
 NDMGP/MWawZpiY7nTrV7SLxKyS3S/Z4uP4KEw4IXZFBF5FOHw3DhllD/VLW/GGy5IMfr
 NY5g==
X-Gm-Message-State: AOAM532GOs+t3mKJllF50xnZ1Ql8379WoZ1e3x0RBmQy5Mgx0RRRehLg
 mhYWOncriZ6nn4MFXyezRms+Bt4c4RQ=
X-Google-Smtp-Source: ABdhPJy7jclfmznugeEv21gnrCO7nMI1JOXhiQFCzavg3Y2vXr0acCKQhyHlTEgI5eR9uNaipoNRmw==
X-Received: by 2002:a7b:c2f7:0:b0:389:860c:6d3d with SMTP id
 e23-20020a7bc2f7000000b00389860c6d3dmr6602716wmk.116.1647423483154; 
 Wed, 16 Mar 2022 02:38:03 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 l13-20020a5d4bcd000000b001f0620ecb3csm1206925wrt.40.2022.03.16.02.38.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 16 Mar 2022 02:38:02 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, Vicente Mataix
 ferrandiz <vicente.mataix-ferrandiz@HIDDEN>, 54400 <at> debbugs.gnu.org
Subject: Re: bug#54400: Emacs error in Ubuntu
In-Reply-To: <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
 <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
Date: Wed, 16 Mar 2022 10:36:04 +0100
Message-ID: <86tuby44u3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana.

On Wed, 16 Mar 2022 at 09:02, Liliana Marie Prikler <liliana.prikler@HIDDEN=
graz.at> wrote:

> --8<---------------cut here---------------start------------->8---
> $ ldd $GUIX_ENVIRONMENT/bin/.emacs-27.2-real | grep lzma
> 	liblzma.so.5 =3D> /gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/l=
ib/liblzma.so.5 (0x00007f7919fee000)
> --8<---------------cut here---------------end--------------->8---
>
> where xz is one of those magic libraries you'd expect to exist in any
> distro.  However,
>
> --8<---------------cut here---------------start------------->8---
> $ guix show emacs | recsel -p dependencies
> dependencies: acl@HIDDEN alsa-lib@HIDDEN cairo@HIDDEN coreutils@HIDDEN
> + dbus@HIDDEN ghostscript@HIDDEN giflib@HIDDEN gmp@HIDDEN gnutls@HIDDEN gpm=
@1.20.7
> + gtk+@3.24.30 gzip@HIDDEN harfbuzz@HIDDEN jansson@HIDDEN libice@HIDDEN
> + libjpeg-turbo@HIDDEN libotf@HIDDEN libpng@HIDDEN librsvg@HIDDEN libsm@1.=
2.3
> + libtiff@HIDDEN libx11@HIDDEN libxft@HIDDEN libxml2@HIDDEN libxpm@HIDDEN
> + m17n-lib@HIDDEN mailutils@HIDDEN ncurses@HIDDEN pango@HIDDEN
> + pkg-config@HIDDEN poppler@HIDDEN texinfo@HIDDEN zlib@HIDDEN
> --8<---------------cut here---------------end--------------->8---
>
> If at all, xz is included as implicit input to unpack Emacs!  We should
> probably add it as explicit input instead.

--8<---------------cut here---------------start------------->8---
$ guix graph --path emacs xz
emacs@HIDDEN
libxml2@HIDDEN
xz@HIDDEN
--8<---------------cut here---------------end--------------->8---

Note that

--8<---------------cut here---------------start------------->8---
    (source (origin
              (method url-fetch)
              (uri (string-append "mirror://gnu/emacs/emacs-"
                                  version ".tar.xz"))
--8<---------------cut here---------------end--------------->8---

but I do not see =E2=80=99xz=E2=80=99 in the implicit inputs; only emacs-mi=
nimal.  Quick
look, maybe I miss it.

Well, indeed, something seems unexpected if the Emacs binary is linked
to liblzma and this liblzma is not an explicit inputs but instead comes
from a reference to another inputs.


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 09:23:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 05:23:34 2022
Received: from localhost ([127.0.0.1]:50198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUPsT-0000Fx-Pr
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:23:33 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:34487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nUPsS-0000Fi-0f
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 05:23:32 -0400
Received: by mail-io1-f49.google.com with SMTP id z7so1645217iom.1
 for <54400 <at> debbugs.gnu.org>; Wed, 16 Mar 2022 02:23:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9w8w+B7xTzWzk7jWeL4tBBurfC/uPljxAFu1E477j2Q=;
 b=dgoSQpHwSAndnARQqqRDykTGpE3BFg8CU3z9OKjhXZ4cR70+Jq7CKwFvDp9XEyOVPk
 tZGEyPCoKbNr7X+y+ooYSGr+d15+dHxFd72vuAaLAY7TsUZI0sZzrDJV9UunXEPsPxqE
 EUlXNYL20EsYXa5gITQLuPJXMiI33gckGmviEFeY1fyBGp1EG0vG2WBK++/LJu2woeNc
 aw2Kj0j1L5OiI3SjQuW7+XxV1YzZtO1W7L0fcZF4aWZvF0rttvjNmSfhx13iE6U9iz/Y
 Cvno5O/lwRbldN+VpPsKhMRFilPZU0i2iGK0bDmxkefpYehZJHW108l4lh3pjKIUsJHL
 Z8KA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9w8w+B7xTzWzk7jWeL4tBBurfC/uPljxAFu1E477j2Q=;
 b=8LaI40YYF2zFw7tSqILT/3Gnp1U8VldK8rv6+23hXX2K3WvE9uU0vWG7YhLqx2qiQu
 1u6H7qALVIYfJS2IcF7to7CaNRc917LIiBPerCNFSiKhhMxjYpi2nD3Izz7SV5WpQuE+
 N85pHcoygpjFK01omoTXemCq1aAtbplHr6K+rCqCtfQrD6c3iEIXLGOmbxzfLfgJeEIT
 jVulCiayJDou5uvwxhCl9WAwCydRArS4hrKZLngX26TbwAq7U1X0cu6azxuMkEGYHmvI
 F4dwykPNh1uJ+HyzV19gaHs0pPFnzVaqGCHautxjdpuKS2tZ3cBVvUndtqtrG0wpUNww
 T14g==
X-Gm-Message-State: AOAM530vxoyJQMid2OmRHzHXuVgTuNSQe/iA54sZuix2eNROfTWiCrz1
 JU82SM7qCv4HfkeU43rqoffrdBNX/Vu6oz3D2c4=
X-Google-Smtp-Source: ABdhPJyBMvhiDwTFKPxe96YY6+PDx/7hee+6/N3/dm7O9mwZJKyPVOxW8OJZnPlah3LrY1EpvRDkEZ2uU7l8DRIvrWM=
X-Received: by 2002:a05:6602:150a:b0:632:c10c:55ff with SMTP id
 g10-20020a056602150a00b00632c10c55ffmr24344791iow.16.1647422606375; Wed, 16
 Mar 2022 02:23:26 -0700 (PDT)
MIME-Version: 1.0
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
In-Reply-To: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 16 Mar 2022 10:23:15 +0100
Message-ID: <CAJ3okZ1TW_0ZsGFSYwza67iu3C-UxMs-BmfAP7Xp1UZ3cQEaOg@HIDDEN>
Subject: Re: bug#54400: Emacs error in Ubuntu
To: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54400
Cc: 54400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Vicente,

On Tue, 15 Mar 2022 at 22:18, Vicente Mataix ferrandiz
<vicente.mataix-ferrandiz@HIDDEN> wrote:

> Update:
>
> guix pull

What is your revision?  Other said which "guix describe"?


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at 54400 <at> debbugs.gnu.org:


Received: (at 54400) by debbugs.gnu.org; 16 Mar 2022 08:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 04:03:12 2022
Received: from localhost ([127.0.0.1]:50141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nUOch-0003x0-Q4
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2022 04:03:12 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:17399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nUOcb-0003wk-JO
 for 54400 <at> debbugs.gnu.org; Wed, 16 Mar 2022 04:03:10 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KJN773kWWz3xX9;
 Wed, 16 Mar 2022 09:02:59 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1647417779;
 bh=OH0HGOAat0bKD5AmjcmrIyzuzmPhZsoMYmAm1KVv6/Y=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=DuFonoU/a6SdO4KkRt7d0ziD9mSWTYoVuowBcEL+94jfTOcqOF/QVZywA9qtETj97
 So4aamEYTrp5wELiMpBmL4EeA2vz9oXjC4KRKPSKXRaqTpEuEapg7LmuS57cbCZsbQ
 DH9ywMKU0tkKyXwxlsh8dfeKq3QK6sGR7Q2hT/Eg=
Message-ID: <d79f7dae9acfd0295dffe38934871ab79d777f5f.camel@HIDDEN>
Subject: Re: Emacs error in Ubuntu
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>, 
 54400 <at> debbugs.gnu.org
Date: Wed, 16 Mar 2022 09:02:58 +0100
In-Reply-To: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
References: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Vicente,

Am Dienstag, dem 15.03.2022 um 17:09 +0100 schrieb Vicente Mataix
ferrandiz:
> Greetings,
> 
> I follow the instructions from:
> 
> https://guix.gnu.org/manual/en/guix.html#Binary-Installation
> 
> Installation (Ubuntu 20.04):
> 
> cd /tmp
> wget
> https://git.savannah.gnu.org/cgit/guix.git/plain/etc/guix-install.sh
> chmod +x guix-install.sh
> ./guix-install.sh
> guix install glibc-utf8-locales
> export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
> 
> Update:
> 
> guix pull
> 
> Install emacs:
> 
> guix install emacs
> 
> Load environment:
> 
> GUIX_PROFILE="$HOME/.guix-profile"
>     . "$GUIX_PROFILE/etc/profile"
> 
> Run emacs:
> 
> emacs
> 
> /home/vmataixf/.guix-profile/bin/emacs: error while loading shared
> libraries: liblzma.so.5: cannot open shared object file: No such file
> or director
That is an interesting and surprisingly difficult to debug error you
have there.  On Guix System, we have
--8<---------------cut here---------------start------------->8---
$ ldd $GUIX_ENVIRONMENT/bin/.emacs-27.2-real | grep lzma
	liblzma.so.5 => /gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/lib/liblzma.so.5 (0x00007f7919fee000)
--8<---------------cut here---------------end--------------->8---
where xz is one of those magic libraries you'd expect to exist in any
distro.  However,

--8<---------------cut here---------------start------------->8---
$ guix show emacs | recsel -p dependencies
dependencies: acl@HIDDEN alsa-lib@HIDDEN cairo@HIDDEN coreutils@HIDDEN
+ dbus@HIDDEN ghostscript@HIDDEN giflib@HIDDEN gmp@HIDDEN gnutls@HIDDEN gpm@HIDDEN
+ gtk+@3.24.30 gzip@HIDDEN harfbuzz@HIDDEN jansson@HIDDEN libice@HIDDEN
+ libjpeg-turbo@HIDDEN libotf@HIDDEN libpng@HIDDEN librsvg@HIDDEN libsm@HIDDEN
+ libtiff@HIDDEN libx11@HIDDEN libxft@HIDDEN libxml2@HIDDEN libxpm@HIDDEN
+ m17n-lib@HIDDEN mailutils@HIDDEN ncurses@HIDDEN pango@HIDDEN
+ pkg-config@HIDDEN poppler@HIDDEN texinfo@HIDDEN zlib@HIDDEN
--8<---------------cut here---------------end--------------->8---

If at all, xz is included as implicit input to unpack Emacs!  We should
probably add it as explicit input instead.

Cheers




Information forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2022 16:15:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 12:15:27 2022
Received: from localhost ([127.0.0.1]:49439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nU9pW-0003Kc-Pz
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2022 12:15:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:41950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vicente.mataix-ferrandiz@HIDDEN>)
 id 1nU9jx-00039G-9y
 for submit <at> debbugs.gnu.org; Tue, 15 Mar 2022 12:09:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49132)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vicente.mataix-ferrandiz@HIDDEN>)
 id 1nU9jx-0006EK-67
 for bug-guix@HIDDEN; Tue, 15 Mar 2022 12:09:41 -0400
Received: from mail2-relais-roc.national.inria.fr ([192.134.164.83]:13346)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vicente.mataix-ferrandiz@HIDDEN>)
 id 1nU9ju-00073F-Jq
 for bug-guix@HIDDEN; Tue, 15 Mar 2022 12:09:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inria.fr; s=dc;
 h=date:from:to:message-id:subject:mime-version;
 bh=BZj/It8ylLVpHdriNTtpm84bfQer2rpa7yh4RHPZ16Y=;
 b=Ds+FK5C7RY3YKpXpQIV9vKbmVsNWekl0EiT8O+mTr/w51McIK3doy44r
 I7y098yqTr+l7c1IS4yUgJcMS2DruYxGRT0ZTszd+uEWltu1YyZ2h1mbl
 U/toyvX9QJWuwljsnHOV1T4QDT2fPjHYUBaFH91P9tplYVxHiZBimMy5x M=;
Authentication-Results: mail2-relais-roc.national.inria.fr;
 dkim=none (message not signed) header.i=none;
 spf=SoftFail smtp.mailfrom=vicente.mataix-ferrandiz@HIDDEN;
 spf=None smtp.helo=postmaster@HIDDEN
Received-SPF: SoftFail (mail2-relais-roc.national.inria.fr:
 domain of vicente.mataix-ferrandiz@HIDDEN is inclined to
 not designate 128.93.142.30 as permitted sender)
 identity=mailfrom; client-ip=128.93.142.30;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="vicente.mataix-ferrandiz@HIDDEN";
 x-sender="vicente.mataix-ferrandiz@HIDDEN";
 x-conformance=spf_only; x-record-type="v=spf1";
 x-record-text="v=spf1 ip4:192.134.164.0/24 mx ~all"
Received-SPF: None (mail2-relais-roc.national.inria.fr: no sender
 authenticity information available from domain of
 postmaster@HIDDEN) identity=helo;
 client-ip=128.93.142.30;
 receiver=mail2-relais-roc.national.inria.fr;
 envelope-from="vicente.mataix-ferrandiz@HIDDEN";
 x-sender="postmaster@HIDDEN"; x-conformance=spf_only
X-IronPort-AV: E=Sophos;i="5.90,184,1643670000"; d="scan'208,217";a="26289873"
X-MGA-submission: =?us-ascii?q?MDE8Hfp6xWJOlmhDfIuQKinmWcg9kHqyfunhrN?=
 =?us-ascii?q?Ka53NK9DhfPpIqU1TFZIE4TIs13jThdiGOHKJV+rn+/5KcxWt/FzJVUM?=
 =?us-ascii?q?PnBsJb/CkeXviqVyCFZun+h+ZP+/EBAk36MeVu7a0Lm/xh04TCQFhZSo?=
 =?us-ascii?q?3lnqIR1HSx10I6YablUlhUWQ=3D=3D?=
Received: from zcs-store3.inria.fr ([128.93.142.30])
 by mail2-relais-roc.national.inria.fr with ESMTP; 15 Mar 2022 17:09:24 +0100
Date: Tue, 15 Mar 2022 17:09:23 +0100 (CET)
From: Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>
To: bug-guix@HIDDEN
Message-ID: <6780887.11555111.1647360563972.JavaMail.zimbra@HIDDEN>
Subject: Emacs error in Ubuntu
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="=_55e65e1d-6485-4e1f-89d1-731da2dcfc44"
X-Originating-IP: [128.93.180.130]
X-Mailer: Zimbra 8.8.15_GA_4203 (ZimbraWebClient - FF98 (Linux)/8.8.15_GA_4232)
Thread-Index: L0kCdU/95Trib4jcTc539Tiw9/JdLg==
Thread-Topic: Emacs error in Ubuntu
Received-SPF: pass client-ip=192.134.164.83;
 envelope-from=vicente.mataix-ferrandiz@HIDDEN;
 helo=mail2-relais-roc.national.inria.fr
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 HTTP_ESCAPED_HOST=0.1, RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 15 Mar 2022 12:15:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=_55e65e1d-6485-4e1f-89d1-731da2dcfc44
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Greetings,=20

I follow the instructions from:=20

[ https://zimbra.inria.fr/zimbra/%20https://guix.gnu.org/manual/en/guix.htm=
l#Binary-Installation | https://guix.gnu.org/manual/en/guix.html#Binary-Ins=
tallation ]=20

Installation (Ubuntu 20.04):=20

cd /tmp=20
wget https://git.savannah.gnu.org/cgit/guix.git/plain/etc/guix-install.sh=
=20
chmod +x guix-install.sh=20
./guix-install.sh=20
guix install glibc-utf8-locales=20
export GUIX_LOCPATH=3D"$HOME/.guix-profile/lib/locale"=20

Update:=20

guix pull=20

Install emacs:=20

guix install emacs=20

Load environment:=20

GUIX_PROFILE=3D"$HOME/.guix-profile"=20
. "$GUIX_PROFILE/etc/profile"=20

Run emacs:=20

emacs=20

/home/vmataixf/.guix-profile/bin/emacs: error while loading shared librarie=
s: liblzma.so.5: cannot open shared object file: No such file or director=
=20

Best regards,=20

Vicente Mataix Ferr=E1ndiz=20

--=_55e65e1d-6485-4e1f-89d1-731da2dcfc44
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<html><body><div id=3D"zimbraEditorContainer" style=3D"font-family: arial, =
helvetica, sans-serif; font-size: 12pt; color: #000000" class=3D"2"><div>Gr=
eetings,<br data-mce-bogus=3D"1"></div><div><br>I follow the instructions f=
rom:<br><br><a data-mce-href=3D"%20https://guix.gnu.org/manual/en/guix.html=
#Binary-Installation" href=3D"%20https://guix.gnu.org/manual/en/guix.html#B=
inary-Installation">https://guix.gnu.org/manual/en/guix.html#Binary-Install=
ation</a><br><br>Installation (Ubuntu 20.04):<br><br><span style=3D"font-fa=
mily: courier new, courier, monaco, monospace, sans-serif;" data-mce-style=
=3D"font-family: courier new, courier, monaco, monospace, sans-serif;">cd /=
tmp</span><br><span style=3D"font-family: courier new, courier, monaco, mon=
ospace, sans-serif;" data-mce-style=3D"font-family: courier new, courier, m=
onaco, monospace, sans-serif;">wget https://git.savannah.gnu.org/cgit/guix.=
git/plain/etc/guix-install.sh</span><br><span style=3D"font-family: courier=
 new, courier, monaco, monospace, sans-serif;" data-mce-style=3D"font-famil=
y: courier new, courier, monaco, monospace, sans-serif;">chmod +x guix-inst=
all.sh</span><br><span style=3D"font-family: courier new, courier, monaco, =
monospace, sans-serif;" data-mce-style=3D"font-family: courier new, courier=
, monaco, monospace, sans-serif;">./guix-install.sh</span><br><span style=
=3D"font-family: courier new, courier, monaco, monospace, sans-serif;" data=
-mce-style=3D"font-family: courier new, courier, monaco, monospace, sans-se=
rif;">guix install glibc-utf8-locales</span><br><span style=3D"font-family:=
 courier new, courier, monaco, monospace, sans-serif;" data-mce-style=3D"fo=
nt-family: courier new, courier, monaco, monospace, sans-serif;">export GUI=
X_LOCPATH=3D"$HOME/.guix-profile/lib/locale"</span><br><br>Update:<br><br><=
span style=3D"font-family: courier new, courier, monaco, monospace, sans-se=
rif;" data-mce-style=3D"font-family: courier new, courier, monaco, monospac=
e, sans-serif;">guix pull</span><br><br>Install emacs:<br><br><span style=
=3D"font-family: courier new, courier, monaco, monospace, sans-serif;" data=
-mce-style=3D"font-family: courier new, courier, monaco, monospace, sans-se=
rif;">guix install emacs</span><br><br>Load environment:<br><br><span style=
=3D"font-family: courier new, courier, monaco, monospace, sans-serif;" data=
-mce-style=3D"font-family: courier new, courier, monaco, monospace, sans-se=
rif;">GUIX_PROFILE=3D"$HOME/.guix-profile"</span><br><span style=3D"font-fa=
mily: courier new, courier, monaco, monospace, sans-serif;" data-mce-style=
=3D"font-family: courier new, courier, monaco, monospace, sans-serif;">&nbs=
p;&nbsp;&nbsp;&nbsp;. "$GUIX_PROFILE/etc/profile"</span><br><br>Run emacs:<=
br><br><span style=3D"font-family: courier new, courier, monaco, monospace,=
 sans-serif;" data-mce-style=3D"font-family: courier new, courier, monaco, =
monospace, sans-serif;">emacs</span><br><br><span style=3D"font-family: cou=
rier new, courier, monaco, monospace, sans-serif;" data-mce-style=3D"font-f=
amily: courier new, courier, monaco, monospace, sans-serif;">/home/vmataixf=
/.guix-profile/bin/emacs: error while loading shared libraries: liblzma.so.=
5: cannot open shared object file: No such file or director</span><br><br>B=
est regards,<br><br>Vicente Mataix Ferr=E1ndiz<br data-mce-bogus=3D"1"></di=
v></div></body></html>
--=_55e65e1d-6485-4e1f-89d1-731da2dcfc44--




Acknowledgement sent to Vicente Mataix ferrandiz <vicente.mataix-ferrandiz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54400; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Mar 2022 02:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.